require( "scripts/common/simple_object.lua" );

local	indicator_pos_x = -4;
local	indicator_pos_y = -30;

local ObjectTable = GetObjectTable("mendonzas_wardrobe");

mendozaswardrobe = simple_object:new{
	anchor_x=-20,
	anchor_y=90,
	texture="anim/objects/mendozaswardrobe/mendozaswardrobe",
	animation_script="anim/objects/default_animation_script.lua",
	glow_texture="anim/objects/mendozaswardrobe/mendozaswardrobe_glow",
	glow_animation_script="anim/objects/default_glow_animation_script.lua",
	indicator_ui_x=indicator_pos_x,
	indicator_ui_y=indicator_pos_y,
	dad_ui_x=indicator_pos_x+35,
	dad_ui_y=indicator_pos_y,
	mom_ui_x=indicator_pos_x+35,
	mom_ui_y=indicator_pos_y,
	
	character_messing_animation = "doing_stuff_up";
	character_cleaning_animation = "doing_stuff_up";

	messing_state_time = ObjectTable["messing_time"],
	cleaning_state_time = ObjectTable["cleaning_time"],
	stress_inc = ObjectTable["stress_inc"],
}

function mendozaswardrobe:new(o)
	o = o or {}   -- create object if user does not provide one
	setmetatable(o, self)
	self.__index = self
	return o
end
